<?php

$Cuzlabels = array( 
        'name' => _x( 'کالاه ا', 'ig_product' ),
        'singular_name' => _x( 'کالا', 'ig_product' ),
        'add_new' => _x( 'افزودن کالا', 'ig_product' ),
        'add_new_item' => _x( 'افزودن کالا جدید', 'ig_product' ),
        'edit_item' => _x( 'ویرایش کالا', 'ig_product' ),
        'new_item' => _x( 'کالا جدید', 'ig_product' ),
        'view_item' => _x( 'نمیش کالا', 'ig_product' ),
        'search_items' => _x( 'جستجو در کالا ها', 'ig_product' ),
        'not_found' => _x( 'کالایی یافت نشد', 'ig_product' ),
        'not_found_in_trash' => _x( 'کالایی در زباله دان یافت نشد', 'ig_product' ),
        'parent_item_colon' => _x( 'کالای والد :', 'ig_product' ),
        'menu_name' => _x( 'کالاها', 'ig_product' ),
);

/* Adds the Product post type */
$products  = new Cuztom_Post_Type( 'Products', array(
    'has_archive' => true,
    'taxonomies' => array( 'department' ),
    'supports' => array( 'title', 'editor', 'thumbnail' ),
	'labels' => $Cuzlabels
));


/* Adds metaboxes to products */

$products->add_meta_box(

	'مشخصه های کالا',
	
    array(
		array(
			'name'          => 'product_description',
			'label'         => 'توضیح کوتاه',
			'description'   => 'توضیحی کوتاه درباره کالا که در صفحه نخست نمایش داده میشود',
			'type'          => 'textarea',
		),
		array(
			'name'          => 'product_price',
			'label'         => 'قیمت کالا',
			'description'   => 'قیمت محصول همراه با نام واحد مثلا : 500 تومان',
			'type'          => 'text',
		),
		 array(
			'name'          => 'product_link',
			'label'         => 'لینک خرید کالا',
			'description'   => 'لینک خرید پستی کالا از شرکت های واسته پستی',
			'type'          => 'text',
		)
    )
	
);
    
    
    
function add_custom_taxonomies() {

	register_taxonomy('department', 'products', array(
		// Hierarchical taxonomy (like categories)
		'hierarchical' => true,
		// This array of options controls the labels displayed in the WordPress Admin UI
		'labels' => array( 
			'name' => _x( 'شاخه ها', 'departments' ),
			'singular_name' => _x( 'شاخه', 'departments' ),
			'search_items' => _x( 'جستجو شاخه ها', 'departments' ),
			'popular_items' => _x( 'شاخه های محبوب', 'departments' ),
			'all_items' => _x( 'همه شاخه ها', 'departments' ),
			'parent_item' => _x( 'شاخه والد', 'departments' ),
			'parent_item_colon' => _x( 'شاخه والد : ', 'departments' ),
			'edit_item' => _x( 'ویرایش شاخه', 'departments' ),
			'update_item' => _x( 'بروز رسانی شاخه', 'departments' ),
			'add_new_item' => _x( 'افزودن شاخه جدید', 'departments' ),
			'new_item_name' => _x( 'شاخه جدید', 'departments' ),
			'separate_items_with_commas' => _x( 'شاخه هارا با کاما جدا کنید', 'departments' ),
			'add_or_remove_items' => _x( 'افزودن یا حذف شاخه ها', 'departments' ),
			'choose_from_most_used' => _x( 'انتخاب از بیشترین استفاده شده ها', 'departments' ),
			'menu_name' => _x( 'شاخه ها', 'departments' ),
		),
		// Control the slugs used for this taxonomy
		'rewrite' => array(
			'slug' => 'department', // This controls the base slug that will display before each term
			'with_front' => false, // Don't display the category base before "/locations/"
			'hierarchical' => true // This will allow URL's like "/locations/boston/cambridge/"
		),
	));
}
add_action( 'init', 'add_custom_taxonomies', 0 );    
